<? session_start();

if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	include ("fphp.php");

	$accion=$_REQUEST["accion"];
	$enlace=cargar_conexion();
	$cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

	$consulta="select fechai,nombres,nombres1,apellidos,apellidos1,cargo,smes, departamento,nomina from personal where codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
	$tiponomina=$row['nomina'];
	//menu();
	echo "<html><head>
		<title>[ SAIREH ]</title>
	<script language='javascript' src='fscript.js'></script>
		<link rel='stylesheet' type='text/css' href='styles.css' />
		<link rel='shortcut icon' type='image/x-icon' href='images/favicon.ico'>

		<link href='css-mag/bootstrap.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/style.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/slider.css' rel='stylesheet' type='text/css' media='all'/>
<link href='css-mag/nav.css' rel='stylesheet' type='text/css' media='all'/>
<link href='http://fonts.googleapis.com/css?family=Open+Sans:300,400,500,600,700,800,900' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:300:700' rel='stylesheet' type='text/css'>
</head>
		<body>";

	echo "<center><h1>Informe de Antiguedad de Prestaciones Sociales e Intereses</h1></center>";
	echo "<br><center><img src='img2/administrator.png'><font color=black size=4>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";

	//================== buscar cargo
	$consultaf="select detalle from tablas where tabla='CARGO' and codigo='".$row['cargo']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$car=$rowf['detalle'];

	//================== buscar departamento
	$consultaf="select detalle from tablas where tabla='DEPARTAMENTO' and codigo='".$row['departamento']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$dep=$rowf['detalle'];

	//================== mostrar datos personales
	//echo "<font face=verdana>";
	echo "<table cellpadding=5 cellspacing=5 align=center>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;' width=250> C&eacute;dula de Identidad:</td><td width=250>".$cedula."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Nombres del Trabajador:</td><td>".trim($row['nombres'])." ".trim($row['nombres1'])."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Apellidos del Trabajador:</td><td>".trim($row['apellidos'])." ".trim($row['apellidos1'])."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Fecha de Ingreso:</td><td>".mostrar_fecha($row['fechai'])."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Ult. Sueldo Mensual:</td><td>".number_format($row['smes'],2)."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Cargo del Trabajador:</td><td>".$car."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Departamento de Trabajo:</td><td>".$dep."</td>";
	echo "</tr>";
	echo "</table><br>";
	echo "</font>";

	//============ datos de empresa
	$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
	$rowr=mysqli_fetch_array($consulta);
	$ince=$rowr['ince'];
	$dvac=$rowr['dvac'];
	$duti=$rowr['duti'];
	$icon=$rowr['icon'];
	$con01=$rowr['constante01'];
	$con02=$rowr['constante02'];
	$con03=$rowr['constante03'];
	$con04=$rowr['constante04'];
	$sueldominimo=$rowr['sueldominimo'];

	//===========egresado o no
	$egresado=false;

	//=========== datos de prestaciones
	$consultax="select * from liquidaciones where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ";
	$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	if (mysqli_num_rows($resultadox)>0) {
		$rowx=mysqli_fetch_array($resultadox);
		$smes = $rowx['smes'];
		$dias = $rowx['dias'];
		$fec1 = $rowx['fechai'];
		$fec2 = $rowx['egreso'];
		$vac = $rowx['vacacion'];
		$egresado=true;
	} else {
		$smes = $row['smes'];
		$dias = 0;
		$fec1 = $row['fechai'];
		$fec2 = date('Y-m-d');
		$vac = 0;
	}

	$semana=0;
	if ($dias>1 && $dias<=7) $semana=1;
	if ($dias>7) $semana=2;

	if ($accion==2) {
		$fec1=$row['fechai'];
		$fec2=date('Y-m-d');
		$egresado=false;
	}

	$afn=substr($fec1,0,4);
	$mfn=substr($fec1,5,2);
	$a=substr($fec2,0,4);
	$m=substr($fec2,5,2);
	if ($m-$mfn<0) $meses = ($a-$afn-1)*12 + ($m-$mfn+12);
	else $meses = ($a-$afn)*12 + ($m-$mfn);

	if ($mfn>=1 && $mfn < $m) $mesutilidad = $m - $mfn;
	else $mesutilidad = $m;
	$utilidad = $duti/12*$mesutilidad*($smes/30);




	//============ mostrar informe
	echo "<table border=0 cellpadding=2 cellspacing=0 align='center'>";
	echo "<tr bgcolor='#464D77'>";
		echo "<th align = left><font color='#fff'> Año-Mes </font></th>";
		echo "<th align = right><font color='#fff'> Años </font></th>";
		echo "<th align = right><font color='#fff'> Meses </font></th>";
		echo "<th align = right><font color='#fff'> Dias </font></th>";
		echo "<th align = right><font color='#fff'> DiasAdic </font></th>";
		echo "<th align = left><font color='#fff'> Salario </font></th>";
		echo "<th align = right><font color='#fff'> Ali/Vac </font></th>";
		echo "<th align = right><font color='#fff'> Ali/Uti </font></th>";
		echo "<th align = right><font color='#fff'> Salario <br> Integral </font></th>";
		echo "<th align = right><font color='#fff'> Prestaci&oacute;n<br> del Mes </font></th>";
		echo "<th align = right><font color='#fff'> Acumulado<br> Bs.</font></th>";
		echo "<th align = right><font color='#fff'> Anticipos </font></th>";
		echo "<th align = right><font color='#fff'> Saldo Neto Prestaciones<br> Bs.</font></th>";
		echo "<th align = right><font color='#fff'> Tasa(%) </font></th>";
		echo "<th align = right><font color='#fff'> Intereses<br>Por Mes </font></th>";
		echo "<th align = right><font color='#fff'> Intereses<br>Acumulados </font></th>";
		echo "<th align = right><font color='#fff'> Intereses<br>Pagados</font></th>";
		echo "<th align = right><font color='#fff'> Saldo Neto<br>Intereses</font></th>";
	echo "</tr>";

	//============ datos inicializando
	$fec11x = $fec1;
	$fec22x = $fec2;
	$fec11 = substr($fec1,0,7);
	$fec22 = substr($fec2,0,7);
	$inicio=0; $tri=0; $salto=0; $anosx=0; $anos=0; $entrosueldo=0;  
	$acumulado=0; $intereses=0; $tdias=0; $prestaciones=0;$interesganados=0;  
	$cuantosmeses=0; 

	//=============totalizar otras columnas
	$acumintpag=0;
	$acumanticp=0;

	//============ datos de sueldo
	$consulta=mysqli_query($enlace,"select sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysqli_error($enlace));
	$row=mysqli_fetch_array($consulta);
	if (mysqli_num_rows($consulta)!=0) $sueldo=$row['sueldo'];


		//===========Agregado para calcular el trimestre
	$fec11 = $fec1;
	$fec22 = $fec2;



	//====================== proceso de prestaciones
	//====================== proceso de prestaciones
		$_POST['tipo_salida']=2;
		include("proceso_prestaciones.php");
	//====================== proceso de prestaciones
	//====================== proceso de prestaciones
	//echo  "fec11: ".$fec11;
	//echo "</br>fec11ant: ".$fec11ant;
	echo "<tr bgcolor='#43bced'>";
		echo "<td colspan=4>&nbsp;</td>";
		echo "<td align=right>".number_format($tdias,0)."</td>";
		echo "<td colspan=5>&nbsp;</td>";
		//echo "<td align=right>".number_format($prestaciones,2)."</td>";  /***** Geisy 09/05/2022 */
		echo "<td >".number_format($acumulato_total,2)."</td>";
		echo "<td align=right>".number_format($acumanticp,2)."</td>";
		echo "<td align=right>".number_format($acumulado,2)."</td>";
		echo "<td>&nbsp;</td>";

		echo "<td>&nbsp;</td>";
		echo "<td align=right>".number_format($interesganados,2)."</td>";
		echo "<td align=right>".number_format($acumintpag,2)."</td>";
		echo "<td align=right>".number_format($saldo_intereses_neto,2)."</td>";
	echo "</tr>";

	echo "</table>";
	echo "<br><br><br><br>";
	echo "<center><input style='color: #ffffff; background-color: #3b8fe3' type='button' name='imprimir' value='Imprimir P&aacute;gina' onclick='window.print();'></center>";
	
?>
